# screen_plus

[![pub package](https://img.shields.io/pub/v/screen_plus.svg)](https://pub.dev/packages/screen_plus)

A Flutter plugin for finding commonly used locations on the filesystem.
Supports Android, iOS,
Not all methods are supported on all platforms.

|             | Android | iOS  |
|-------------|---------|------|
| **Support** | SDK 16+ | 9.0+ |

## Usage

To use this plugin, add `screen_plus` as a [dependency in your pubspec.yaml file](https://flutter.dev/docs/development/platform-integration/platform-channels).
Make sure you add the following permissions to your Android Manifest
```
<uses-permission android:name="android.permission.WAKE_LOCK" />
```
## Example
```dart
// Import package
import 'package:screen_plus/screen_plus.dart';

// Get the current brightness:
double brightness = await ScreenPlus.brightness;

// Set the brightness:
ScreenPlus.setBrightness(0.5);

// Check if the screen is kept on:
bool isKeptOn = await ScreenPlus.getBrightnessStatus;

// Prevent screen from going into sleep mode:
ScreenPlus.setScreenWake(true);
```

